*{
  margin: 0;
  padding: 0;
  font-family: Arial;
  text-decoration: none;
  list-style-type: none;
}
.App{
  text-align: center;
  padding: 10px;
}
header{
  margin: 10px 0 30px;

  a{
    border: 1px solid #000;
    border-radius: 3px;
    padding: 10px 20px;
    display: inline-block;
  }
}
.choose-hall{
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;

  a{
    margin: 0 20px;
    height: 200px;
    width: 200px;
    text-align: center;
    border-radius: 3px;
    border: 1px solid #000;
    display: flex;
    justify-content: center;
    align-items: center;
  }
}
.hall-block{
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
}
.tickets{

  margin-top: 30px;
  text-align: left;
  width: 300px;

  h3{
    padding: 0 10px;
  }
  button{

    padding: 10px 15px;
    border-radius: 3px;

  }

  ul{

    margin-top: 10px;

    li{

      border-top: 1px solid #000;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 10px;

      &:last-child{
        border-bottom: 1px solid #000;
      }

    }
  }

  .buy-block{

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 10px;

  }

}

.hall{

  margin-top: 30px;

  .row{
    padding: 5px 0;
    display: flex;
    justify-content: center;

    .place{
      padding: 5px;
      box-sizing: border-box;
      width: 35px;
      height: 35px;
      margin: 3px;
      cursor: pointer;
      display: flex;

      align-items: center;
      justify-content: center;
      color: white;

      &.type-0{

        opacity: 0;
        pointer-events: none;

      }
      &.type-1{

        background-color: blue;

      }
      &.type-2{

        background-color: #ffc107;

      }
      &.type-3{

        background-color: purple;

      }

      &.chosen{
        background-color: green;
      }

      &.bought{
        background-color: gray;
        pointer-events: none;
      }
    }
  }

}
